Bug 447516 - cpufreq-applet shows garbled graphics sometimes [NEEDINFO]
cpufreq-applet shows garbled graphics sometimes
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-applets (Show other bugs)
9
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-05-20 05:36 EDT by Torsten Rausche
Modified: 2009-07-14 12:19 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:19:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
lam: needinfo? (rstrode)


Attachments (Terms of Use)
cpu-freq-applet fails to show a graph (1.91 KB, image/png)
2008-05-20 05:37 EDT, Torsten Rausche
no flags Details
How it should look like (2.96 KB, image/png)
2008-05-20 05:38 EDT, Torsten Rausche
no flags Details
The output of /proc/cpuinfo (1.35 KB, text/plain)
2008-05-20 05:38 EDT, Torsten Rausche
no flags Details
My /var/log/Xorg.0.log (38.85 KB, text/plain)
2008-05-20 05:39 EDT, Torsten Rausche
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 556099 None None None Never
Launchpad 267047 None None None Never

  None (edit)
Description Torsten Rausche 2008-05-20 05:36:17 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv:1.9b5) Gecko/2008043010 Fedora/3.0-0.60.beta5.fc9 Firefox/3.0b5

Description of problem:
Sometimes cpufreq-applet shows garbled graphics after login. I have to kill and reload it to get its normal state. After this procedure it works as expected. Please look at the attachments for an example.


Version-Release number of selected component (if applicable):
gnome-applets-2.22.1-2.fc9.x86_64

How reproducible:
Sometimes


Steps to Reproduce:
1. Reboot the system
2. Log into the GNOME desktop
3. Wait until all components are loaded
4. Look at a gray area where cpu-freq-applet should show a nice graph

Actual Results:
There is a gray area where cpu-freq-applet should show a nice graph

Expected Results:
cpu-freq-applet should show a nice graph

Additional info:
The panels background is set to a half transparent custom color. The applet is set to show the graph only, for CPU core 0. The system has a AMD Athlon 64 X2 Dual Core CPU and a NVIDIA GeForce 7600 GS (G70 series) GPU. I use the open source nv driver. The output of /proc/cpuinfo and the Xorg.log are attached.
Comment 1 Torsten Rausche 2008-05-20 05:37:34 EDT
Created attachment 306096 [details]
cpu-freq-applet fails to show a graph
Comment 2 Torsten Rausche 2008-05-20 05:38:03 EDT
Created attachment 306097 [details]
How it should look like
Comment 3 Torsten Rausche 2008-05-20 05:38:42 EDT
Created attachment 306098 [details]
The output of /proc/cpuinfo
Comment 4 Torsten Rausche 2008-05-20 05:39:29 EDT
Created attachment 306099 [details]
My /var/log/Xorg.0.log
Comment 5 Vladimir Florinski 2008-06-09 13:42:48 EDT
Just want to confirm the bug. It's quite annoying.
Comment 6 Leszek Matok 2008-11-27 02:09:35 EST
For me, this bug appeared in Rawhide that became F9. It was OK on F8.

This is still present in F10.

I have two cores and two cpufreq-applet icons and what's funny is that sometimes I see both icons, sometimes none, but there are times where one is visible and the other is not (even though there's one process controlling them).

Bug #451205 is a duplicate of this one.

GNOME bug #556099 mentions (after https://bugs.launchpad.net/bugs/267047) that this happens only for people who set panel background (I myself use almost-translucent white panel).
Comment 7 Bug Zapper 2009-06-09 21:02:03 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Leszek Matok 2009-06-28 05:57:02 EDT
Supposedly fixed by upstream and most probably F11 doesn't have this bug (I myself haven't seen it appearing since upgrade). Close CURRENTRELEASE or something?
Comment 9 Bug Zapper 2009-07-14 12:19:30 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.